# Development mode (bool): enables Debug mode, sets logging level to DEBUG and
# adds routes to statics and media.
# Default: false
# true | false
PKA_DEVELOPMENT_MODE{% if pka_development_mode is defined %}{{ "=" }}{{ pka_development_mode }}{% endif %}{{ "\n" }}

# Debug mode (bool): be verbose with exceptions
# Default: false
# true | false
PKA_DEBUG{% if pka_debug is defined %}{{ "=" }}{{ pka_debug }}{% endif %}{{ "\n" }}

# Logging level.
# Default: INFO
# DEBUG | INFO | WARNING | ERROR | CRITICAL
PKA_LOGLEVEL{% if pka_loglevel is defined %}{{ "=" }}{{ pka_loglevel }}{% endif %}{{ "\n" }}

# Database configuration
# If no parameter filled, defaults to local sqlite3 file. Otherwise: CockroachDB
PKA_DATABASE_NAME{% if pka_database_name is defined %}{{ "=" }}{{ pka_database_name }}{% endif %}{{ "\n" }}
PKA_DATABASE_USER{% if pka_database_user is defined %}{{ "=" }}{{ pka_database_user }}{% endif %}{{ "\n" }}
PKA_DATABASE_PASSWORD{% if pka_database_password is defined %}{{ "=" }}{{ pka_database_password }}{% endif %}{{ "\n" }}
PKA_DATABASE_HOST{% if pka_database_host is defined %}{{ "=" }}{{ pka_database_host }}{% endif %}{{ "\n" }}
# defaults to 26257
PKA_DATABASE_PORT{% if pka_database_port is defined %}{{ "=" }}{{ pka_database_port }}{% endif %}{{ "\n" }}
# Additional database parameters, see:
# https://www.cockroachlabs.com/docs/stable/connection-parameters.html#additional-connection-parameters
PKA_DATABASE_PARAMS{% if pka_database_params is defined %}{{ "=" }}{{ pka_database_params }}{% endif %}{{ "\n" }}

# Static files path (required).
PKA_FILES_STATIC=/srv/app/static/

# Application allowed hosts: used to check the Host header and CORS. The first
# one is considered the main one (required).
PKA_ALLOWED_HOSTS{% if pka_allowed_hosts is defined %}{{ "=" }}{{ pka_allowed_hosts }}{% endif %}{{ "\n" }}

# Prefix for the API, such as /api/app or /app (must begin with slash)
PKA_API_PREFIX{% if pka_api_prefix is defined %}{{ "=" }}{{ pka_api_prefix }}{% endif %}{{ "\n" }}

# URL path for openapi specs (must begin with slash) (is already prefixed accordingly)
# (default: /openapi.json)
PKA_OPENAPI_URL_PATH{% if pka_openapi_url_path is defined %}{{ "=" }}{{ pka_openapi_url_path }}{% endif %}{{ "\n" }}

# URL path for docs (must begin with slash) (is already prefixed accordingly)
# (default: /docs)
PKA_DOCS_URL_PATH{% if pka_docs_url_path is defined %}{{ "=" }}{{ pka_docs_url_path }}{% endif %}{{ "\n" }}

# URL path for redoc (must begin with slash) (is already prefixed accordingly)
# (default: /redoc)
PKA_REDOC_URL_PATH{% if pka_redoc_url_path is defined %}{{ "=" }}{{ pka_redoc_url_path }}{% endif %}{{ "\n" }}

# URL path for static files (must begin with slash) (is already prefixed accordingly)
# (default: /static)
PKA_STATIC_URL_PATH{% if pka_static_url_path is defined %}{{ "=" }}{{ pka_static_url_path }}{% endif %}{{ "\n" }}

# Application identifier such as when in a cluster (it's world readable!)
PKA_APP_IDENTIFIER{% if pka_app_identifier is defined %}{{ "=" }}{{ pka_app_identifier }}{% endif %}{{ "\n" }}

# External static URL for serving statics (must be a complete URL,
# including protocol, FQDN and path, ending without slash). This setting
# overrides STATIC_URL_PATH.
PKA_STATIC_URL{% if pka_static_url is defined %}{{ "=" }}{{ pka_static_url }}{% endif %}{{ "\n" }}

# Enable HTTPS redirection middleware (not required if you use a reverse proxy).
# Defaults to true unless DEVELOPMENT_MODE is set, in which case defaults to false.
# true | false
PKA_ENABLE_HTTPS_REDIRECT{% if pka_enable_https_redirect is defined %}{{ "=" }}{{ pka_enable_https_redirect }}{% endif %}{{ "\n" }}

# Allow CORS for a local frontend running in port 3000 (thus the rule is
# http://127.0.0.1:3000).
# Defaults to true for development mode, false otherwise.
# true | false
PKA_ALLOW_FRONTEND_LOCAL{% if pka_allow_frontend_local is defined %}{{ "=" }}{{ pka_allow_frontend_local }}{% endif %}{{ "\n" }}
